diff --exclude=CVS -Nru certi/libCERTI/ObjectSet.hh certi.new/libCERTI/ObjectSet.hh
--- certi/libCERTI/ObjectSet.hh	2008-06-10 15:41:47.000000000 +0200
+++ certi.new/libCERTI/ObjectSet.hh	2008-11-26 14:30:13.000000000 +0100
@@ -28,6 +28,7 @@
 class Object;
 #include "SecurityServer.hh"
 #include "MessageBuffer.hh"
+#include "GAV.hh"
 #include "certi.hh"
 
 // Standard
diff --exclude=CVS -Nru certi/libCERTI/RTItypes.cc certi.new/libCERTI/RTItypes.cc
--- certi/libCERTI/RTItypes.cc	1970-01-01 01:00:00.000000000 +0100
+++ certi.new/libCERTI/RTItypes.cc	2008-11-26 14:16:16.000000000 +0100
@@ -0,0 +1,274 @@
+// ----------------------------------------------------------------------------
+// CERTI - HLA RunTime Infrastructure
+// Copyright (C) 2002-2006  ONERA
+//
+// This program is free software ; you can redistribute it and/or
+// modify it under the terms of the GNU Lesser General Public License
+// as published by the Free Software Foundation ; either version 2 of
+// the License, or (at your option) any later version.
+//
+// This program is distributed in the hope that it will be useful, but
+// WITHOUT ANY WARRANTY ; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+// Lesser General Public License for more details.
+//
+// You should have received a copy of the GNU Lesser General Public
+// License along with this program ; if not, write to the Free Software
+// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+// ----------------------------------------------------------------------------
+
+#include "GAV.hh"
+#include "Exception.hh"
+#include "PrettyDebug.hh"
+#include <assert.h>
+#include <sstream>
+#include <cstdlib>
+#include <cstring>
+
+using namespace certi ;
+
+namespace {
+
+static PrettyDebug D("LIBRTI", __FILE__);
+static PrettyDebug G("GENDOC",__FILE__);
+
+}
+
+// static members for HLA Exceptions
+const char *RTI::ArrayIndexOutOfBounds::_ex = "ArrayIndexOutOfBounds" ;
+const char *RTI::AsynchronousDeliveryAlreadyDisabled::_ex = "AsynchronousDeliveryAlreadyDisabled" ;
+const char *RTI::AsynchronousDeliveryAlreadyEnabled::_ex = "AsynchronousDeliveryAlreadyEnabled" ;
+const char *RTI::AttributeAcquisitionWasNotRequested::_ex = "AttributeAcquisitionWasNotRequested" ;
+const char *RTI::AttributeAcquisitionWasNotCanceled::_ex = "AttributeAcquisitionWasNotCanceled" ;
+const char *RTI::AttributeAlreadyBeingAcquired::_ex = "AttributeAlreadyBeingAcquired" ;
+const char *RTI::AttributeAlreadyBeingDivested::_ex = "AttributeAlreadyBeingDivested" ;
+const char *RTI::AttributeAlreadyOwned::_ex = "AttributeAlreadyOwned" ;
+const char *RTI::AttributeDivestitureWasNotRequested::_ex = "AttributeDivestitureWasNotRequested" ;
+const char *RTI::AttributeNotDefined::_ex = "AttributeNotDefined" ;
+const char *RTI::AttributeNotKnown::_ex = "AttributeNotKnown" ;
+const char *RTI::AttributeNotOwned::_ex = "AttributeNotOwned" ;
+const char *RTI::AttributeNotPublished::_ex = "AttributeNotPublished" ;
+const char *RTI::ConcurrentAccessAttempted::_ex = "ConcurrentAccessAttempted" ;
+const char *RTI::CouldNotDiscover::_ex = "CouldNotDiscover" ;
+const char *RTI::CouldNotOpenFED::_ex = "CouldNotOpenFED" ;
+const char *RTI::CouldNotRestore::_ex = "CouldNotRestore" ;
+const char *RTI::DeletePrivilegeNotHeld::_ex = "DeletePrivilegeNotHeld" ;
+const char *RTI::DimensionNotDefined::_ex = "DimensionNotDefined" ;
+const char *RTI::EnableTimeConstrainedPending::_ex = "EnableTimeConstrainedPending" ;
+const char *RTI::EnableTimeConstrainedWasNotPending::_ex = "EnableTimeConstrainedWasNotPending" ;
+const char *RTI::EnableTimeRegulationPending::_ex = "EnableTimeRegulationPending" ;
+const char *RTI::EnableTimeRegulationWasNotPending::_ex = "EnableTimeRegulationWasNotPending" ;
+const char *RTI::ErrorReadingFED::_ex = "ErrorReadingFED" ;
+const char *RTI::EventNotKnown::_ex = "EventNotKnown" ;
+const char *RTI::FederateAlreadyExecutionMember::_ex = "FederateAlreadyExecutionMember" ;
+const char *RTI::FederateInternalError::_ex = "FederateInternalError" ;
+const char *RTI::FederateLoggingServiceCalls::_ex = "FederateLoggingServiceCalls" ;
+const char *RTI::FederateNotExecutionMember::_ex = "FederateNotExecutionMember" ;
+const char *RTI::FederateOwnsAttributes::_ex = "FederateOwnsAttributes" ;
+const char *RTI::FederateWasNotAskedToReleaseAttribute::_ex = "FederateWasNotAskedToReleaseAttribute" ;
+const char *RTI::FederatesCurrentlyJoined::_ex = "FederatesCurrentlyJoined" ;
+const char *RTI::FederationExecutionAlreadyExists::_ex = "FederationExecutionAlreadyExists" ;
+const char *RTI::FederationExecutionDoesNotExist::_ex = "FederationExecutionDoesNotExist" ;
+const char *RTI::FederationTimeAlreadyPassed::_ex = "FederationTimeAlreadyPassed" ;
+const char *RTI::HandleValuePairMaximumExceeded::_ex = "HandleValuePairMaximumExceeded" ;
+const char *RTI::InteractionClassNotDefined::_ex = "InteractionClassNotDefined" ;
+const char *RTI::InteractionClassNotKnown::_ex = "InteractionClassNotKnown" ;
+const char *RTI::InteractionClassNotPublished::_ex = "InteractionClassNotPublished" ;
+const char *RTI::InteractionClassNotSubscribed::_ex = "InteractionClassNotSubscribed" ;
+const char *RTI::InteractionParameterNotDefined::_ex = "InteractionParameterNotDefined" ;
+const char *RTI::InteractionParameterNotKnown::_ex = "InteractionParameterNotKnown" ;
+const char *RTI::InvalidExtents::_ex = "InvalidExtents" ;
+const char *RTI::InvalidFederationTime::_ex = "InvalidFederationTime" ;
+const char *RTI::InvalidHandleValuePairSetContext::_ex = "InvalidHandleValuePairSetContext" ;
+const char *RTI::InvalidLookahead::_ex = "InvalidLookahead" ;
+const char *RTI::InvalidOrderingHandle::_ex = "InvalidOrderingHandle" ;
+const char *RTI::InvalidRegionContext::_ex = "InvalidRegionContext" ;
+const char *RTI::InvalidResignAction::_ex = "InvalidResignAction" ;
+const char *RTI::InvalidRetractionHandle::_ex = "InvalidRetractionHandle" ;
+const char *RTI::InvalidTransportationHandle::_ex = "InvalidTransportationHandle" ;
+const char *RTI::MemoryExhausted::_ex = "MemoryExhausted" ;
+const char *RTI::NameNotFound::_ex = "NameNotFound" ;
+const char *RTI::ObjectClassNotDefined::_ex = "ObjectClassNotDefined" ;
+const char *RTI::ObjectClassNotKnown::_ex = "ObjectClassNotKnown" ;
+const char *RTI::ObjectClassNotPublished::_ex = "ObjectClassNotPublished" ;
+const char *RTI::ObjectClassNotSubscribed::_ex = "ObjectClassNotSubscribed" ;
+const char *RTI::ObjectNotKnown::_ex = "ObjectNotKnown" ;
+const char *RTI::ObjectAlreadyRegistered::_ex = "ObjectAlreadyRegistered" ;
+const char *RTI::OwnershipAcquisitionPending::_ex = "OwnershipAcquisitionPending" ;
+const char *RTI::RegionInUse::_ex = "RegionInUse" ;
+const char *RTI::RegionNotKnown::_ex = "RegionNotKnown" ;
+const char *RTI::RestoreInProgress::_ex = "RestoreInProgress" ;
+const char *RTI::RestoreNotRequested::_ex = "RestoreNotRequested" ;
+const char *RTI::RTIinternalError::_ex = "RTIinternalError" ;
+const char *RTI::SpaceNotDefined::_ex = "SpaceNotDefined" ;
+const char *RTI::SaveInProgress::_ex = "SaveInProgress" ;
+const char *RTI::SaveNotInitiated::_ex = "SaveNotInitiated" ;
+const char *RTI::SpecifiedSaveLabelDoesNotExist::_ex = "SpecifiedSaveLabelDoesNotExist" ;
+const char *RTI::SynchronizationPointLabelWasNotAnnounced::_ex = "SynchronizationPointLabelWasNotAnnounced" ;
+const char *RTI::TimeAdvanceAlreadyInProgress::_ex = "TimeAdvanceAlreadyInProgress" ;
+const char *RTI::TimeAdvanceWasNotInProgress::_ex = "TimeAdvanceWasNotInProgress" ;
+const char *RTI::TimeConstrainedAlreadyEnabled::_ex = "TimeConstrainedAlreadyEnabled" ;
+const char *RTI::TimeConstrainedWasNotEnabled::_ex = "TimeConstrainedWasNotEnabled" ;
+const char *RTI::TimeRegulationAlreadyEnabled::_ex = "TimeRegulationAlreadyEnabled" ;
+const char *RTI::TimeRegulationWasNotEnabled::_ex = "TimeRegulationWasNotEnabled" ;
+const char *RTI::UnableToPerformSave::_ex = "UnableToPerformSave" ;
+const char *RTI::ValueCountExceeded::_ex = "ValueCountExceeded" ;
+const char *RTI::ValueLengthExceeded::_ex = "ValueLengthExceeded" ;
+
+// TypeException managing (how to obtain TypeException from Exception name ?)
+long RTI::ArrayIndexOutOfBounds::type = certi::e_ArrayIndexOutOfBounds ;
+long RTI::AsynchronousDeliveryAlreadyDisabled::type = certi::e_AsynchronousDeliveryAlreadyDisabled ;
+long RTI::AsynchronousDeliveryAlreadyEnabled::type = certi::e_AsynchronousDeliveryAlreadyEnabled ;
+long RTI::AttributeAcquisitionWasNotRequested::type = certi::e_AttributeAcquisitionWasNotRequested ;
+long RTI::AttributeAcquisitionWasNotCanceled::type = certi::e_AttributeAcquisitionWasNotCanceled ;
+long RTI::AttributeAlreadyBeingAcquired::type = certi::e_AttributeAlreadyBeingAcquired ;
+long RTI::AttributeAlreadyBeingDivested::type = certi::e_AttributeAlreadyBeingDivested ;
+long RTI::AttributeAlreadyOwned::type = certi::e_AttributeAlreadyOwned ;
+long RTI::AttributeDivestitureWasNotRequested::type = certi::e_AttributeDivestitureWasNotRequested ;
+long RTI::AttributeNotDefined::type = certi::e_AttributeNotDefined ;
+long RTI::AttributeNotKnown::type = certi::e_AttributeNotKnown ;
+long RTI::AttributeNotOwned::type = certi::e_AttributeNotOwned ;
+long RTI::AttributeNotPublished::type = certi::e_AttributeNotPublished ;
+long RTI::ConcurrentAccessAttempted::type = certi::e_ConcurrentAccessAttempted ;
+long RTI::CouldNotDiscover::type = certi::e_CouldNotDiscover ;
+long RTI::CouldNotOpenFED::type = certi::e_CouldNotOpenFED ;
+long RTI::CouldNotRestore::type = certi::e_CouldNotRestore ;
+long RTI::DeletePrivilegeNotHeld::type = certi::e_DeletePrivilegeNotHeld ;
+long RTI::DimensionNotDefined::type = certi::e_DimensionNotDefined ;
+long RTI::EnableTimeConstrainedPending::type = certi::e_EnableTimeConstrainedPending ;
+long RTI::EnableTimeConstrainedWasNotPending::type = certi::e_EnableTimeConstrainedWasNotPending ;
+long RTI::EnableTimeRegulationPending::type = certi::e_EnableTimeRegulationPending ;
+long RTI::EnableTimeRegulationWasNotPending::type = certi::e_EnableTimeRegulationWasNotPending ;
+long RTI::ErrorReadingFED::type = certi::e_ErrorReadingFED ;
+long RTI::EventNotKnown::type = certi::e_EventNotKnown ;
+long RTI::FederateAlreadyExecutionMember::type = certi::e_FederateAlreadyExecutionMember ;
+long RTI::FederateInternalError::type = certi::e_FederateInternalError ;
+long RTI::FederateLoggingServiceCalls::type = certi::e_FederateLoggingServiceCalls ;
+long RTI::FederateNotExecutionMember::type = certi::e_FederateNotExecutionMember ;
+long RTI::FederateOwnsAttributes::type = certi::e_FederateOwnsAttributes ;
+long RTI::FederateWasNotAskedToReleaseAttribute::type = certi::e_FederateWasNotAskedToReleaseAttribute ;
+long RTI::FederatesCurrentlyJoined::type = certi::e_FederatesCurrentlyJoined ;
+long RTI::FederationExecutionAlreadyExists::type = certi::e_FederationExecutionAlreadyExists ;
+long RTI::FederationExecutionDoesNotExist::type = certi::e_FederationExecutionDoesNotExist ;
+long RTI::FederationTimeAlreadyPassed::type = certi::e_FederationTimeAlreadyPassed ;
+long RTI::HandleValuePairMaximumExceeded::type = certi::e_HandleValuePairMaximumExceeded ;
+long RTI::InteractionClassNotDefined::type = certi::e_InteractionClassNotDefined ;
+long RTI::InteractionClassNotKnown::type = certi::e_InteractionClassNotKnown ;
+long RTI::InteractionClassNotPublished::type = certi::e_InteractionClassNotPublished ;
+long RTI::InteractionClassNotSubscribed::type = certi::e_InteractionClassNotSubscribed ;
+long RTI::InteractionParameterNotDefined::type = certi::e_InteractionParameterNotDefined ;
+long RTI::InteractionParameterNotKnown::type = certi::e_InteractionParameterNotKnown ;
+long RTI::InvalidExtents::type = certi::e_InvalidExtents ;
+long RTI::InvalidFederationTime::type = certi::e_InvalidFederationTime ;
+long RTI::InvalidHandleValuePairSetContext::type = certi::e_InvalidHandleValuePairSetContext ;
+long RTI::InvalidLookahead::type = certi::e_InvalidLookahead ;
+long RTI::InvalidOrderingHandle::type = certi::e_InvalidOrderingHandle ;
+long RTI::InvalidRegionContext::type = certi::e_InvalidRegionContext ;
+long RTI::InvalidResignAction::type = certi::e_InvalidResignAction ;
+long RTI::InvalidRetractionHandle::type = certi::e_InvalidRetractionHandle ;
+long RTI::InvalidTransportationHandle::type = certi::e_InvalidTransportationHandle ;
+long RTI::MemoryExhausted::type = certi::e_MemoryExhausted ;
+long RTI::NameNotFound::type = certi::e_NameNotFound ;
+long RTI::ObjectClassNotDefined::type = certi::e_ObjectClassNotDefined ;
+long RTI::ObjectClassNotKnown::type = certi::e_ObjectClassNotKnown ;
+long RTI::ObjectClassNotPublished::type = certi::e_ObjectClassNotPublished ;
+long RTI::ObjectClassNotSubscribed::type = certi::e_ObjectClassNotSubscribed ;
+long RTI::ObjectNotKnown::type = certi::e_ObjectNotKnown ;
+long RTI::ObjectAlreadyRegistered::type = certi::e_ObjectAlreadyRegistered ;
+long RTI::OwnershipAcquisitionPending::type = certi::e_OwnershipAcquisitionPending ;
+long RTI::RegionInUse::type = certi::e_RegionInUse ;
+long RTI::RegionNotKnown::type = certi::e_RegionNotKnown ;
+long RTI::RestoreInProgress::type = certi::e_RestoreInProgress ;
+long RTI::RestoreNotRequested::type = certi::e_RestoreNotRequested ;
+long RTI::RTIinternalError::type = certi::e_RTIinternalError ;
+long RTI::SpaceNotDefined::type = certi::e_SpaceNotDefined ;
+long RTI::SaveInProgress::type = certi::e_SaveInProgress ;
+long RTI::SaveNotInitiated::type = certi::e_SaveNotInitiated ;
+long RTI::SpecifiedSaveLabelDoesNotExist::type = certi::e_SpecifiedSaveLabelDoesNotExist ;
+long RTI::SynchronizationPointLabelWasNotAnnounced::type = certi::e_SynchronizationPointLabelWasNotAnnounced ;
+long RTI::TimeAdvanceAlreadyInProgress::type = certi::e_TimeAdvanceAlreadyInProgress ;
+long RTI::TimeAdvanceWasNotInProgress::type = certi::e_TimeAdvanceWasNotInProgress ;
+long RTI::TimeConstrainedAlreadyEnabled::type = certi::e_TimeConstrainedAlreadyEnabled ;
+long RTI::TimeConstrainedWasNotEnabled::type = certi::e_TimeConstrainedWasNotEnabled ;
+long RTI::TimeRegulationAlreadyEnabled::type = certi::e_TimeRegulationAlreadyEnabled ;
+long RTI::TimeRegulationWasNotEnabled::type = certi::e_TimeRegulationWasNotEnabled ;
+long RTI::UnableToPerformSave::type = certi::e_UnableToPerformSave ;
+long RTI::ValueCountExceeded::type = certi::e_ValueCountExceeded ;
+long RTI::ValueLengthExceeded::type = certi::e_ValueLengthExceeded ;
+
+static PrettyDebug PD_Exception("RTI_EXCEPTION",__FILE__);
+
+RTI::Exception::~Exception()
+{
+    if (NULL!=_reason) {
+        free(_reason);
+    }
+}
+
+RTI::Exception::Exception(const char *reason)
+{
+    _reason = (reason == NULL)?NULL:strdup(reason);
+    _serial = 0 ;
+}
+
+RTI::Exception::Exception(ULong serial, const char *reason)
+{
+    _serial = serial ;
+    _reason = (reason == NULL)?NULL:strdup(reason);
+}
+
+
+RTI::Exception::Exception(const Exception &toCopy)
+{
+    _serial = toCopy._serial ;
+    _reason = ( toCopy._reason== NULL)?NULL:strdup(toCopy._reason) ;
+    _name = toCopy._name ;
+}
+
+RTI::Exception& RTI::Exception::operator=(const Exception &toCopy)
+{
+    _serial = toCopy._serial ;
+    _reason = (toCopy._reason == NULL)?NULL:strdup(toCopy._reason) ;
+    _name = toCopy._name ;
+    return *this ;
+}
+
+const std::string RTI::Exception::displayMe() const
+{
+    std::stringstream msg;
+
+    msg << "RTI::Exception [";
+    if (NULL!=_name) {
+        msg <<_name;
+    } else {
+        msg<<"<noname>";
+    }
+    msg <<",0x"<<std::hex<<_serial<<"]";
+    msg << " - reason=";
+    if (NULL !=_reason) {
+        msg << _reason;
+    } else {
+        msg << "<noreason>";
+    }
+    msg << std::endl;
+    msg << std::flush;
+
+    PD_Exception[pdExcept] << msg.str().c_str();
+    return msg.str();
+}
+
+RTI_STD::ostream &
+operator<<(RTI_STD::ostream &os, RTI::Exception const &ex)
+{
+    // FIXME
+    return os << ex.displayMe();
+}
+
+RTI_STD::ostream &
+operator<<(RTI_STD::ostream &os, RTI::Exception *ex)
+{
+    assert(ex);
+    return os<<(*ex);
+}
+
+// $Id: RTItypes.cc,v 1.1 2008/11/25 16:32:14 gotthardp Exp $
diff --exclude=CVS -Nru certi/libCERTI/SecurityLevel.hh certi.new/libCERTI/SecurityLevel.hh
--- certi/libCERTI/SecurityLevel.hh	2008-06-24 14:23:31.000000000 +0200
+++ certi.new/libCERTI/SecurityLevel.hh	2008-11-26 12:57:16.000000000 +0100
@@ -26,6 +26,7 @@
 #define _CERTI_SECURITY_LEVEL_HH
 
 #include "certi.hh"
+#include "Exception.hh"
 
 #include <stdlib.h>
 #include <string.h>
diff --exclude=CVS -Nru certi/libCERTI/Socket.hh certi.new/libCERTI/Socket.hh
--- certi/libCERTI/Socket.hh	2008-10-13 13:27:51.000000000 +0200
+++ certi.new/libCERTI/Socket.hh	2008-11-26 11:53:58.000000000 +0100
@@ -21,6 +21,7 @@
 #define CERTI_SOCKET_HH
 
 #include "certi.hh"
+#include "Exception.hh"
 #ifndef _WIN32
 	#include <sys/time.h>
 	#include <sys/types.h>
diff --exclude=CVS -Nru certi/libCERTI/SocketTCP.cc certi.new/libCERTI/SocketTCP.cc
--- certi/libCERTI/SocketTCP.cc	2008-10-12 13:46:41.000000000 +0200
+++ certi.new/libCERTI/SocketTCP.cc	2008-11-26 15:10:28.000000000 +0100
@@ -32,7 +32,6 @@
 
 #include "SocketTCP.hh"
 #include "PrettyDebug.hh"
-#include "baseTypes.hh"
 
 #include <cassert>
 #include <cerrno>
@@ -59,11 +58,11 @@
 if (winsockInits > 0)
 	{
 	winsockInits++;
-	return RTI_TRUE;
-	} 
+	return true;
+	}
 else if (winsockInits <0)
 	{
-	return RTI_FALSE;
+	return false;
 	}
 
 wVersionRequested = MAKEWORD( 2, 0 );
@@ -71,18 +70,18 @@
 if (lError != 0)
 	{
 	winsockInits = -1;
-	return RTI_FALSE;
+	return false;
 	}
 
 if (LOBYTE( wsaData.wVersion ) != 2 || HIBYTE( wsaData.wVersion ) != 0)
-	{// Tell the user that we couldn't find a usable WinSock DLL.    
+	{// Tell the user that we couldn't find a usable WinSock DLL.
 	WSACleanup( );
 	winsockInits = -1;
-	return RTI_FALSE; 
+	return false;
 	}
 
 winsockInits = 1;
-return RTI_TRUE;
+return true;
 }
 
 void SocketTCP::winsockShutdown()
@@ -156,7 +155,7 @@
 // Set the TCP_NODELAY option(Client Side)
 
 TCPent = getprotobyname("tcp");
-if (TCPent == NULL) 
+if (TCPent == NULL)
 	{
 	cout << "Unable to retrieve TCP protocol number." << endl ;
 	return 0 ;
@@ -166,7 +165,7 @@
 				TCPent->p_proto,
 				TCP_NODELAY,
 				(char *) &optval,
-				sizeof(optval))) 
+				sizeof(optval)))
 	{
 	cout << "Error while calling setsockopt." << endl ;
 	return 0 ;
@@ -197,16 +196,16 @@
 l = sizeof(_sockIn);
 
 _socket_tcp = ::accept(serveur->_socket_tcp, (sockaddr*)&_sockIn, &l);
-if (_socket_tcp < 0) 
+if (_socket_tcp < 0)
 	{
 	  msg << "SocketTCP: Accept Failed"
-	      << "<" << strerror(errno) <<">"; 
-	  throw NetworkError(msg.str().c_str());	
+	      << "<" << strerror(errno) <<">";
+	  throw NetworkError(msg.str().c_str());
 	}
 
 // Set the TCP_NODELAY option(Server Side)
 TCPent = getprotobyname("tcp");
-if (TCPent == NULL) 
+if (TCPent == NULL)
 	{
 	cout << "Unable to retrieve TCP protocol number." << endl ;
 	return 0 ;
@@ -216,7 +215,7 @@
 					TCPent->p_proto,
 					TCP_NODELAY,
 					(char *) &optval,
-					sizeof(optval))) 
+					sizeof(optval)))
 	{
 	cout << "Error while calling setsockopt." << endl ;
 	return 0 ;
@@ -287,25 +286,25 @@
 
 // ----------------------------------------------------------------------------
 void
-SocketTCP::createTCPClient(in_port_t port, in_addr_t addr) 
+SocketTCP::createTCPClient(in_port_t port, in_addr_t addr)
 throw (NetworkError)
 {
 assert(!_est_init_tcp);
 std::stringstream msg;
-if (!open()) 
+if (!open())
 	{
-		msg << "Cannot open port <" << port 
+		msg << "Cannot open port <" << port
 			<< "> on addr <" << addr2string(addr)
 			<< "> : error =" << strerror(errno);
 		throw NetworkError(msg.str().c_str());
 	}
 
-if (!connect(port, addr)) 
+if (!connect(port, addr))
 	{
-		msg << "Cannot connect port <" << port 
+		msg << "Cannot connect port <" << port
 		    << "> on addr <" << addr2string(addr)
 			<< "> : error =" << strerror(errno);
-		throw NetworkError(msg.str().c_str());	
+		throw NetworkError(msg.str().c_str());
 	}
 
 _est_init_tcp = true ;
@@ -320,25 +319,25 @@
 	assert(!_est_init_tcp);
 
 
-if (!open()) 
+if (!open())
 	{
-	msg << "Cannot open port <" << port 
+	msg << "Cannot open port <" << port
 		<< "> on addr <" << addr2string(addr)
 		<< "> : error =" << strerror(errno);
 	throw NetworkError(msg.str().c_str());
 	}
 
-if (!bind(port, addr)) 
+if (!bind(port, addr))
 	{
-	msg << "Cannot bind port <" << port 
+	msg << "Cannot bind port <" << port
 		<< "> on addr <" << addr2string(addr)
 		<< "> : error =" << strerror(errno);
 	throw NetworkError(msg.str().c_str());
 	}
 
-if (!listen(MAX_BACKLOG)) 
+if (!listen(MAX_BACKLOG))
 	{
-	msg << "Cannot listen port <" << port 
+	msg << "Cannot listen port <" << port
 		<< "> on addr <" << addr2string(addr)
 		<< "> : error =" << strerror(errno);
 	throw NetworkError(msg.str().c_str());
@@ -360,7 +359,7 @@
 
 D.Out(pdDebug, "Beginning to send TCP message...");
 
-while (total_sent < expected_size) 
+while (total_sent < expected_size)
 	{
 	#ifdef _WIN32
 		int sent = ::send(_socket_tcp, (char*) buffer + total_sent, expected_size - total_sent, 0);
@@ -368,7 +367,7 @@
 		int sent = ::send(_socket_tcp, buffer + total_sent, expected_size - total_sent, 0);
 	#endif
 
-	if (sent < 0) 
+	if (sent < 0)
 		{
 		D.Out(pdExcept, "Error while sending on TCP socket.");
 
@@ -378,14 +377,14 @@
 			if(errno == EINTR)
 		#endif
 			throw NetworkSignal("");
-		else 
+		else
 			{
 			perror("TCP Socket(EmettreTCP) ");
 			throw NetworkError("Error while sending TCP message.");
 			}
 		}
 
-	if (sent == 0) 
+	if (sent == 0)
 		{
 		D.Out(pdExcept, "No data could be sent, connection closed?.");
 		throw NetworkError("Could not send any data on TCP socket.");
@@ -402,7 +401,7 @@
 void
 SocketTCP::close()
 {
-if (_est_init_tcp) 
+if (_est_init_tcp)
 	{
 	#ifdef _WIN32
 		::closesocket(_socket_tcp);
@@ -501,7 +500,7 @@
 							0);
 	#endif
 
-	if (nReceived < 0) 
+	if (nReceived < 0)
 		{
 		D.Out(pdExcept, "Error while receiving on TCP socket.");
 		#ifdef _WIN32
@@ -510,14 +509,14 @@
 			if(errno == EINTR)
 		#endif
 			throw NetworkSignal("");
-		else 
+		else
 			{
 			perror("TCP Socket(RecevoirTCP) ");
 			throw NetworkError("Error while receiving TCP message.");
 			}
 		}
 
-	if (nReceived == 0) 
+	if (nReceived == 0)
 		{
 		D.Out(pdExcept, "TCP connection has been closed by peer.");
 		throw NetworkError("Connection closed by client.");
@@ -570,7 +569,7 @@
 {
 assert(_est_init_tcp);
 
-struct timeval time_out ;    
+struct timeval time_out ;
 time_out.tv_sec = sec ;
 time_out.tv_usec = usec ;
 
@@ -580,7 +579,7 @@
 
 int nb = select(_socket_tcp+1, &fdset, NULL, NULL, &time_out);
 
-if (nb < 0) 
+if (nb < 0)
 	{
 	#ifdef _WIN32
 		 if(WSAGetLastError() == WSAEINTR)
@@ -591,7 +590,7 @@
 	else
 		throw NetworkError("Select gave negative return value");
 	}
-else 
+else
 	return nb > 0 ;
 }
 
diff --exclude=CVS -Nru certi/libCERTI/SocketUN.cc certi.new/libCERTI/SocketUN.cc
--- certi/libCERTI/SocketUN.cc	2008-10-11 14:53:53.000000000 +0200
+++ certi.new/libCERTI/SocketUN.cc	2008-11-26 15:09:41.000000000 +0100
@@ -18,10 +18,8 @@
 // ----------------------------------------------------------------------------
 
 
-
 #include "certi.hh"
 #include "SocketUN.hh"
-#include "baseTypes.hh"
 
 #if defined(RTIA_USE_TCP)
 	#include "SocketTCP.hh"
@@ -67,7 +65,7 @@
 #else
 	socklen_t socklen;
 #endif
-	
+
 	if((sock_connect=socket(AF_INET,SOCK_STREAM,0)) < 0)
 		error("socket");
 
@@ -79,11 +77,11 @@
 	// TEMPO : UNIX socket emulation with TCP/IP sockets
 	int tcpport;
 	if (RTIA_port>0) {
-		tcpport = RTIA_port; 
+		tcpport = RTIA_port;
 	} else {
 	    tcpport = getpid();
 	}
-	
+
 	// make sure it is contained in a short
 	if (tcpport > 65535)
 		throw RTIinternalError("TCP Port too big.");
@@ -171,7 +169,7 @@
 
 #if defined(RTIA_USE_TCP)
 	struct sockaddr_in nom_serveur;
-	int lg_nom;	
+	int lg_nom;
 #ifdef _WIN32
 	struct hostent *hptr = NULL;
 	assert(SocketTCP::winsockInitialized());
@@ -184,10 +182,10 @@
 sprintf( buffer, "%s.%d", NOM_FICHIER_SOCKET, Server_pid ) ;
 name = buffer ;
 
-while (Attempt < MAX_ATTEMPTS) 
+while (Attempt < MAX_ATTEMPTS)
 	{
 	pD->Out(pdInit, "Opening Client UNIX Socket.");
-	
+
 // TCP Socket case--------------------------------------------------
 #if defined(RTIA_USE_TCP)
 	if((_socket_un = socket(AF_INET, SOCK_STREAM, 0)) == -1)
@@ -207,7 +205,7 @@
 
 	lg_nom = sizeof(nom_serveur);
 	Result = ::connect(_socket_un,(sockaddr *)&nom_serveur, lg_nom);
-	
+
 	//pD->Out(pdInit, "Client: Connect returned %d.", Result);
 #else
 	if ((_socket_un = socket(AF_UNIX, SOCK_STREAM, 0)) == -1)
@@ -271,11 +269,11 @@
 //! Close the socket.
 SocketUN::~SocketUN()
 {
-if (_est_init_un) 
+if (_est_init_un)
 	{
 	#ifdef _WIN32
 		closesocket(_socket_un);
-		if(_est_serveur == RTI_TRUE)
+		if (_est_serveur)
 			closesocket(sock_connect);
 	#else
 		close(_socket_un);
@@ -283,7 +281,7 @@
 			close(sock_connect);
 		unlink(name.c_str());
 	#endif
-	
+
 	if (_est_serveur)
 		pD->Out(pdTerm, "Server: Closed all sockets.");
 	else
@@ -317,7 +315,7 @@
 
 pD->Out(pdTrace, "Beginning to send UN message...");
 
-while (total_sent < size) 
+while (total_sent < size)
 	{
 	#ifdef _WIN32
 		sent = ::send(_socket_un, (char *) buffer + total_sent, size - total_sent, 0);
@@ -325,17 +323,17 @@
 		sent = write(_socket_un, (char *) buffer + total_sent, size - total_sent);
 	#endif
 
-	if (sent > 0) 
+	if (sent > 0)
 		{
 		total_sent += sent ;
 		pD->Out(pdTrace, "Sent %ld bytes out of %ld.", total_sent, size);
 		}
-	else 
+	else
 		{
-		if (sent < 0) 
+		if (sent < 0)
 			{
 			pD->Out(pdExcept, "Error while sending on UN socket.");
-			
+
 			#ifdef _WIN32
 				if(WSAGetLastError() == WSAEINTR)
 			#else
@@ -344,14 +342,14 @@
 				{// Incoming Signal
 				if (HandlerType == stSignalInterrupt) throw NetworkSignal("");
 				else pD->Out(pdExcept, "EmettreUN ignoring signal interruption.");
-				}		
+				}
 			else // Other errors
 				{
 				perror("UN Socket(EmettreUN) : ");
 					throw NetworkError("Error while sending UN message.");
 			}	}
-			
-		if (sent == 0) 
+
+		if (sent == 0)
 			{
 			pD->Out(pdExcept, "No data could be sent, connection closed?.");
 			throw NetworkError("Could not send any data on UN socket.");
@@ -370,7 +368,7 @@
 
  smsg << "SocketUN::error <"
  	  << strerror(errno)
- 	  << "> msg = <" 	  
+ 	  << "> msg = <"
  	  << msg <<">";
  throw NetworkError(smsg.str().c_str());
 }
@@ -417,7 +415,7 @@
 
 pD->Out(pdTrace, "Beginning to receive U/W message...(Size  %ld)",Size);
 
-while (RBLength < Size) 
+while (RBLength < Size)
 	{
 	#ifdef _WIN32
 		#ifdef SOCKUN_BUFFER_LENGTH
@@ -442,7 +440,7 @@
 	if (nReceived < 0)
 		{
 		pD->Out(pdExcept, "Error while receiving on UN socket.");
-	
+
 		#ifdef _WIN32
 			if(WSAGetLastError() == WSAEINTR)
 		#else
@@ -454,19 +452,19 @@
 			else
 				pD->Out(pdExcept, "RecevoirUN ignoring signal interruption.");
 			}
-		else 
+		else
 			{// Other errors
 			perror("UN Socket(RecevoirUN) : ");
 			throw NetworkError("Error while receiving UN message.");
 			}
 		}
 
-	if (nReceived == 0) 
+	if (nReceived == 0)
 		{
 		pD->Out(pdExcept, "UN connection has been closed by peer.");
 		throw NetworkError("Connection closed by client.");
 		}
-	else if (nReceived > 0) 
+	else if (nReceived > 0)
 		{
 		RBLength += nReceived ;
 		RcvdBytesCount += nReceived ;
diff --exclude=CVS -Nru certi/libRTI/CMakeLists.txt certi.new/libRTI/CMakeLists.txt
--- certi/libRTI/CMakeLists.txt	2008-11-25 17:32:14.000000000 +0100
+++ certi.new/libRTI/CMakeLists.txt	2008-12-05 12:35:47.000000000 +0100
@@ -5,6 +5,7 @@
   RTIambassador.cc
   RTIambPrivateRefs.cc
   RTItypes.cc
+  HandleSets.cc
   )
   
 SET(RTI_LIB_INCLUDE
@@ -19,17 +20,18 @@
 
 #SOURCE_GROUP("RTI\\Header" FILES ${RTI_LIB_INCLUDE})
 
-ADD_LIBRARY(RTI-NG ${RTI_LIB_SRCS} ${RTI_LIB_INCLUDE})
-TARGET_LINK_LIBRARIES(RTI-NG CERTI)
+ADD_LIBRARY(RTI ${RTI_LIB_SRCS} ${RTI_LIB_INCLUDE})
+TARGET_LINK_LIBRARIES(RTI CERTI)
 
-SET_TARGET_PROPERTIES(RTI-NG PROPERTIES VERSION 1.0.0 SOVERSION 1)
+SET_TARGET_PROPERTIES(RTI PROPERTIES OUTPUT_NAME "RTI-NG")
+SET_TARGET_PROPERTIES(RTI PROPERTIES VERSION 1.0.0 SOVERSION 1)
 IF (MINGW)
-    SET_TARGET_PROPERTIES(RTI-NG PROPERTIES LINK_FLAGS "-Wl,--output-def,${LIBRARY_OUTPUT_PATH}/libRTI.def")
+    SET_TARGET_PROPERTIES(RTI PROPERTIES LINK_FLAGS "-Wl,--output-def,${LIBRARY_OUTPUT_PATH}/libRTI.def")
     INSTALL(FILES ${LIBRARY_OUTPUT_PATH}/libRTI.def
             DESTINATION lib)
 ENDIF (MINGW)
 
-INSTALL(TARGETS RTI-NG
+INSTALL(TARGETS RTI
     RUNTIME DESTINATION bin
     LIBRARY DESTINATION lib
     ARCHIVE DESTINATION lib)
